(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6412,        181]
NotebookOptionsPosition[      5013,        147]
NotebookOutlinePosition[      5447,        164]
CellTagsIndexPosition[      5404,        161]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"<<", "VilCretas`"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Combinatorica`"}]}], "Input",
 CellChangeTimes->{{3.810506119678713*^9, 3.8105061232079926`*^9}, {
  3.810506561763445*^9, 3.810506562075122*^9}, {3.810506806163209*^9, 
  3.810506810432928*^9}, {3.810550723424421*^9, 3.8105507272571745`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"ff6cf31e-2f1a-45c6-b1c5-3d9d17c43295"],

Cell[BoxData[
 TemplateBox[{
  "General", "compat", 
   "\"Combinatorica Graph and Permutations functionality has been superseded \
by preloaded functionality. The package now being loaded may conflict with \
this. Please see the Compatibility Guide for details.\"", 2, 2, 1, 
   30171508050317492718, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.810551767474105*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"b74791fc-e42b-40a1-a480-a065fccdcbc2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "=", 
     RowBox[{"Range", "[", "n", "]"}]}], ";", 
    RowBox[{"Length", "[", 
     RowBox[{"SetPartitions", "[", "A", "]"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8105061751177216`*^9, 3.8105062060528717`*^9}, {
   3.810506289523316*^9, 3.8105063305700426`*^9}, {3.810506386015894*^9, 
   3.8105063993982697`*^9}, {3.810506470320118*^9, 3.8105065387886133`*^9}, 
   3.810506977773911*^9, {3.8105517057030983`*^9, 3.810551756642517*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"16f02449-6051-472d-aa5a-d0c8119a6d76"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "5", ",", "15", ",", "52", ",", "203", ",", "877", ",", 
   "4140", ",", "21147", ",", "115975"}], "}"}]], "Output",
 CellChangeTimes->{3.8105517714829197`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"cf4f0ab9-510d-4778-966d-6ff171ae3baa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindRRHL", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "5", ",", "15", ",", "52", ",", "203", ",", "877", 
     ",", "4140", ",", "21147", ",", "115975"}], "}"}], ",", "a", ",", "n"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8105522519787006`*^9, 3.8105522544685154`*^9}, {
  3.810552340441391*^9, 3.810552347439272*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"c8c92cff-1a86-4f1e-91af-d62a5a2528ef"],

Cell[BoxData["\<\"NaD\"\>"], "Output",
 CellChangeTimes->{3.810552348286666*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"8d1b5ced-65db-4f7b-a8cd-a1f90ed4aa13"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindSequenceFunction", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "5", ",", "15", ",", "52", ",", "203", ",", "877", 
     ",", "4140", ",", "21147", ",", "115975"}], "}"}], ",", "n"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8105524316786366`*^9, 3.8105524396665115`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"c482cc5d-8a87-44c2-89c6-d70bc9c902c1"],

Cell[BoxData[
 RowBox[{"BellB", "[", "n", "]"}]], "Output",
 CellChangeTimes->{3.810552440444359*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"123e0c70-d98e-4a16-8c3e-fb25390bf20f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"B", "[", "n_", "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Binomial", "[", 
      RowBox[{
       RowBox[{"n", "-", "1"}], ",", "i"}], "]"}], 
     RowBox[{"B", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", 
      RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"B", "[", "0", "]"}], "=", 
   RowBox[{
    RowBox[{"B", "[", "1", "]"}], "=", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"B", "[", "i", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "10"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8105537189969597`*^9, 3.8105537548512454`*^9}, {
  3.810553790244443*^9, 3.810553828742386*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"0ab35923-7e0c-441e-9d2c-90f9672051cc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "5", ",", "15", ",", "52", ",", "203", ",", "877", ",", 
   "4140", ",", "21147", ",", "115975"}], "}"}]], "Output",
 CellChangeTimes->{3.8105538346640863`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"47d5d2ca-2d5f-4989-b870-108a551e67aa"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"1b1d90b1-52ea-4883-be61-4e41770334fe"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 407, 6, 107, "Input",ExpressionUUID->"ff6cf31e-2f1a-45c6-b1c5-3d9d17c43295"],
Cell[990, 30, 510, 11, 220, "Message",ExpressionUUID->"b74791fc-e42b-40a1-a480-a065fccdcbc2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1537, 46, 667, 14, 178, "Input",ExpressionUUID->"16f02449-6051-472d-aa5a-d0c8119a6d76"],
Cell[2207, 62, 300, 6, 144, "Output",ExpressionUUID->"cf4f0ab9-510d-4778-966d-6ff171ae3baa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2544, 73, 452, 10, 107, "Input",ExpressionUUID->"c8c92cff-1a86-4f1e-91af-d62a5a2528ef"],
Cell[2999, 85, 158, 2, 100, "Output",ExpressionUUID->"8d1b5ced-65db-4f7b-a8cd-a1f90ed4aa13"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3194, 92, 405, 9, 188, "Input",ExpressionUUID->"c482cc5d-8a87-44c2-89c6-d70bc9c902c1"],
Cell[3602, 103, 179, 3, 100, "Output",ExpressionUUID->"123e0c70-d98e-4a16-8c3e-fb25390bf20f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3818, 111, 876, 25, 264, "Input",ExpressionUUID->"0ab35923-7e0c-441e-9d2c-90f9672051cc"],
Cell[4697, 138, 300, 6, 107, "Output",ExpressionUUID->"47d5d2ca-2d5f-4989-b870-108a551e67aa"]
}, Open  ]]
}
]
*)

